## ros-kinetic-omron-os32c-driver 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(omron_os32c_driver)

find_package(catkin REQUIRED COMPONENTS diagnostic_updater odva_ethernetip rosconsole_bridge roscpp sensor_msgs)

find_package(Boost 1.47 REQUIRED COMPONENTS system)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS diagnostic_updater odva_ethernetip rosconsole_bridge roscpp sensor_msgs
  LIBRARIES omron_os32c
  DEPENDS Boost
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_library(omron_os32c src/os32c.cpp)
target_link_libraries(omron_os32c
  ${catkin_LIBRARIES}
)

## Declare a cpp executable
add_executable(scanner_node src/scanner_node.cpp)
target_link_libraries(scanner_node
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

add_executable(omron_os32c_node src/os32c_node.cpp)
target_link_libraries(omron_os32c_node
  omron_os32c
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

## Mark executables and libraries for installation
install(TARGETS omron_os32c omron_os32c_node scanner_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/os32c.launch)

  catkin_add_gtest(${PROJECT_NAME}-test
    test/measurement_report_config_test.cpp
    test/measurement_report_header_test.cpp
    test/measurement_report_test.cpp
    test/range_and_reflectance_measurement_test.cpp
    test/os32c_test.cpp
    test/test_main.cpp
  )
  target_link_libraries(${PROJECT_NAME}-test ${Boost_LIBRARIES} ${catkin_LIBRARIES} omron_os32c)
endif()

=== debian/changelog ===
ros-kinetic-omron-os32c-driver (1.0.0-0xenial) xenial; urgency=high

  * feat: ~reconnect_timeout parameter
    Driver will automatically reconnect if no connection can be established
    or if a scan has not be received for the specified number of seconds.
  * Added reflection measurement and frequency param
  * Use TCP/IP polling instead of UDP
  * Contributors: Rein Appeldoorn, Tom de Winter

 -- Rein Appeldoorn <rein@eurogroep.com>  Tue, 18 Jun 2019 22:00:00 -0000

ros-kinetic-omron-os32c-driver (0.1.3-0xenial) xenial; urgency=high

  * Merge pull request #23 <https://github.com/ros-drivers/omron/issues/23> from ros-drivers/ci/kinetic_melodic
    Industrial CI Kinetic + Melodic
  * fix: test narrow conversion from char to uint8_t
  * Merge pull request #21 <https://github.com/ros-drivers/omron/issues/21> from ros-drivers/rosconsole_bridge
    Enabled rosconsole_bridge for odva_ethernetip
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <rein@ruvu.nl>  Wed, 17 Apr 2019 22:00:00 -0000

ros-kinetic-omron-os32c-driver (0.1.2-0xenial) xenial; urgency=high

  * Changed maintainer to Rein Appeldoorn
  * feat(omron_node): ~local_ip parameter for udp binding (#15 <https://github.com/ros-drivers/omron/issues/15>)
  * omron_node: Diagnostics for frequency (#14 <https://github.com/ros-drivers/omron/issues/14>)
  * Swap start and end angles. The laser rotates in the negative direction.
  * Merge pull request #10 <https://github.com/ros-drivers/omron/issues/10> from gavanderhoorn/build_infra
  * Minor manifest and build script updates.
  * Contributors: Mike Purvis, Rein Appeldoorn, gavanderhoorn

 -- Rein Appeldoorn <rein@ruvu.nl>  Thu, 17 May 2018 22:00:00 -0000

ros-kinetic-omron-os32c-driver (0.1.1-0xenial) xenial; urgency=high

  * Fixed library name.
  * Contributors: Tony Baltovski

 -- Rein Appeldoorn <rein@ruvu.nl>  Mon, 16 Nov 2015 23:00:00 -0000

ros-kinetic-omron-os32c-driver (0.1.0-0xenial) xenial; urgency=high

  * Initial release.
  * Contributors: Kareem Shehata, Mike Purvis, Tony Baltovski

 -- Rein Appeldoorn <rein@ruvu.nl>  Mon, 16 Nov 2015 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-omron-os32c-driver
Section: misc
Priority: extra
Maintainer: Rein Appeldoorn <rein@eurogroep.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-catkin, ros-kinetic-diagnostic-updater, ros-kinetic-odva-ethernetip, ros-kinetic-rosconsole-bridge, ros-kinetic-roscpp, ros-kinetic-roslaunch, ros-kinetic-rosunit, ros-kinetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-omron-os32c-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-diagnostic-updater, ros-kinetic-odva-ethernetip, ros-kinetic-rosconsole-bridge, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Description: Interface driver for Omron OS32C Lidar via Ethernet/IP (Industrial Protocol)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-omron-os32c-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
